@import "https://unpkg.com/open-props";
@import "https://unpkg.com/open-props/normalize.min.css";
@import "https://unpkg.com/open-props/buttons.min.css";

/* demo purpose only */

body {
  display: grid;
  place-content: center;
  padding: var(--size-7);
  gap: var(--size-7);
}

article, section, form, fieldset, header, .page, .spaced, #text__lists > div, #text__code > div, #text__inline > div {
  display: grid;
  gap: var(--size-4);
}

nav > ul {
  display: flex;
  list-style-type: none;
  padding-inline-start: 0;
  gap: var(--size-5);
}

.open-props {
  display: flex;
  align-items: center;
  gap: var(--size-3);
}

.surface-samples {
  display: grid;
  --size: var(--size-content-1);
  grid-template-columns: var(--size) var(--size);
  grid-auto-rows: var(--size);
  gap: var(--size-5);
  margin-block-start: var(--size-6);
}

@media (width <= 480px) {
  .surface-samples {
    --size: 40vw;
  }
}

.surface-samples > * {
  border-radius: var(--radius-3);
  display: grid;
  place-content: center;
  font-size: var(--font-size-3);
  font-weight: var(--font-weight-2);
  box-shadow: var(--shadow-6);
}

.surface1 {
  background-color: var(--surface-1);
  color: var(--text-2);
}

.surface2 {
  background-color: var(--surface-2);
  color: var(--text-2);
}

.surface3 {
  background-color: var(--surface-3);
  color: var(--text-1);
}

.surface4 {
  background-color: var(--surface-4);
  color: var(--text-1);
}

.text-samples {
  display: grid;
  gap: var(--size-3);
}

.text-samples > h5 {
  display: inline-flex;
  align-items: center;
  gap: var(--size-3);
}

.text1 {
  color: var(--text-1);
}
p.text1 {
  font-weight: var(--font-weight-2);
}

.text2 {
  color: var(--text-2);
}

.brand {
  color: var(--brand);
  background-color: var(--brand);
}

.link {
  color: var(--link);
  background-color: var(--link);
}

.link-visited {
  color: var(--link-visited);
  background-color: var(--link-visited);
}

.swatch {
  display: inline-block;
  flex-shrink: 0;
  inline-size: var(--size-8);
  block-size: var(--size-8);
  border-radius: var(--radius-round);
  box-shadow: var(--shadow-4);
}
.swatch.text1 { background-color: var(--text-1); }
.swatch.text2 { background-color: var(--text-2); }

.buttons-list {
  display: flex;
  align-items: flex-start;
  gap: var(--size-3);
  flex-wrap: wrap;
}

#forms__html5 > p {
  display: flex;
  align-items: center;
  gap: var(--size-3);
}